{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v1"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"complexType.UnitAndValue_double":{"type":"object","description":"A numeric value tagged with its unit","properties":{"unit":{"type":"string"},"value":{"type":"number"}}},"complexType.UnitAndValue_long":{"type":"object","description":"A numeric value tagged with its unit","properties":{"unit":{"type":"string"},"value":{"type":"integer"}}},"dedicated.DatacenterEnum":{"type":"string","description":"ovh datacenter","enum":["bhs1","bhs2","bhs3","bhs4","bhs5","bhs6","bhs7","bhs8","cch01","crx1","crx2","dc1","eri1","eri2","frcrx41","frcrx42","frcrx43","gra04","gra1","gra2","gra3","gsw","hdf01","hil1","ieb01","itbsi01","itmil01","itzvf01","lil1-int1","lim1","lim2","lim3","mr901","p19","rbx","rbx-hz","rbx1","rbx10","rbx2","rbx3","rbx4","rbx5","rbx6","rbx7","rbx8","rbx9","sbg1","sbg2","sbg3","sbg4","sbg5","sgp02","sgp1","syd03","syd1","syd2","vin1","waw1","ynm1","yyz01"]},"dedicatedCloud.Filer":{"type":"object","description":"Datastore","properties":{"activeNode":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.filer.NodeTypeEnum"}],"description":"Filer active node.","nullable":true,"readOnly":true},"billingType":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.ressources.BillingTypeEnum"}],"description":"Billing type of this filer","nullable":true,"readOnly":true},"connectionState":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.filer.ConnexionStateEnum"}],"description":"Filer connexion state.","nullable":true,"readOnly":true},"filerId":{"type":"integer","description":"Filer Id","readOnly":true},"fullProfile":{"type":"string","description":"Human-Readable profile name","readOnly":true},"isManagedByOvh":{"type":"boolean","description":"Filer accessibility (if true, customer cannot access it)","readOnly":true},"master":{"type":"string","description":"Filer master node hostname.","readOnly":true},"name":{"type":"string","description":"Filer name","readOnly":true},"profile":{"type":"string","description":"Commercial profile name","readOnly":true},"resourceName":{"type":"string","description":"Resource name","nullable":true,"readOnly":true},"size":{"allOf":[{"$ref":"#/components/schemas/complexType.UnitAndValue_long"}],"description":"Filer capacity","readOnly":true},"slave":{"type":"string","description":"Filer slave node hostname.","nullable":true,"readOnly":true},"spaceFree":{"type":"number","description":"Available space of this datastore, in GB","nullable":true,"readOnly":true},"spaceProvisionned":{"type":"number","description":"Provisionned space of this datastore, in GB","nullable":true,"readOnly":true},"spaceUsed":{"type":"number","description":"Used Space of this filer, in GB","nullable":true,"readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.filer.StateEnum"}],"description":"State of the filer","readOnly":true},"vmTotal":{"type":"integer","description":"Number of virtual machine on the filer","nullable":true,"readOnly":true}}},"dedicatedCloud.Task":{"type":"object","description":"Operation","properties":{"createdBy":{"type":"string","description":"Creator of the task","nullable":true,"readOnly":true},"createdFrom":{"type":"string","description":"Origin of the task","nullable":true,"readOnly":true},"datacenterId":{"type":"integer","description":"datacenterId of the associated dedicatedCloud.Datacenter object","nullable":true,"readOnly":true},"description":{"type":"string","description":"Current progress description","nullable":true,"readOnly":true},"endDate":{"type":"string","description":"Task end date","nullable":true,"format":"date-time","readOnly":true},"executionDate":{"type":"string","description":"Task execution date","format":"date-time","readOnly":true},"filerId":{"type":"integer","description":"filerId of the associated dedicatedCloud.Filer object","nullable":true,"readOnly":true},"hostId":{"type":"integer","description":"hostId of the associated dedicatedCloud.Host object","nullable":true,"readOnly":true},"lastModificationDate":{"type":"string","description":"Task last modification date","nullable":true,"format":"date-time","readOnly":true},"maintenanceDateFrom":{"type":"string","description":"Maintenance task min allowed execution date","nullable":true,"format":"date-time","readOnly":true},"maintenanceDateTo":{"type":"string","description":"Maintenance task max allowed execution date","nullable":true,"format":"date-time","readOnly":true},"name":{"type":"string","description":"Task name","readOnly":true},"network":{"type":"string","description":"network of the associated dedicatedCloud.Ip object","nullable":true,"readOnly":true},"networkAccessId":{"type":"integer","description":"networkAccessId of the associated dedicatedCloud.AllowedNetwork object","nullable":true,"readOnly":true},"orderId":{"type":"integer","description":"orderId of the associated billing.Order object","nullable":true,"readOnly":true},"parentTaskId":{"type":"integer","description":"taskId of the parent dedicatedCloud.Task object","nullable":true,"readOnly":true},"progress":{"type":"integer","description":"Current progress","readOnly":true},"state":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.TaskStateEnum"}],"description":"Current Task state","readOnly":true},"taskId":{"type":"integer","description":"Task id","readOnly":true},"type":{"type":"string","description":"Task type","readOnly":true},"userId":{"type":"integer","description":"userId of the associated dedicatedCloud.User object","nullable":true,"readOnly":true},"vlanId":{"type":"integer","description":"vlanId of the parent dedicatedCloud.Vlan object","nullable":true,"readOnly":true}}},"dedicatedCloud.TaskStateEnum":{"type":"string","description":"All states a Dedicated Cloud Task can be in","enum":["canceled","doing","done","error","fixing","toCancel","toCreate","todo","unknown","waitingForChilds","waitingTodo"]},"dedicatedCloud.VsanDatastore":{"type":"object","description":"vSAN datastore","properties":{"clusterId":{"type":"integer","description":"Id of Cluster.","readOnly":true},"connectionState":{"allOf":[{"$ref":"#/components/schemas/dedicatedCloud.filer.ConnexionStateEnum"}],"description":"Datastore connection state.","nullable":true,"readOnly":true},"datacenterId":{"type":"integer","description":"Id of the datacenter.","readOnly":true},"datastoreId":{"type":"integer","description":"Id of the vsan datastore.","readOnly":true},"datastoreName":{"type":"string","description":"Name of the datastore.","readOnly":true},"spaceFree":{"type":"number","description":"Available space of this datastore, in GB","nullable":true,"readOnly":true},"spaceProvisioned":{"type":"number","description":"Provisioned space of this datastore, in GB","nullable":true,"readOnly":true},"spaceUsed":{"type":"number","description":"Used Space of this datastore, in GB","nullable":true,"readOnly":true},"vmTotal":{"type":"integer","description":"Number of virtual machine on the datastore","nullable":true,"readOnly":true}}},"dedicatedCloud.filer.ConnexionStateEnum":{"type":"string","description":"Connexion states for a Dedicated Cloud Filer.","enum":["offline","online"]},"dedicatedCloud.filer.HourlyConsumption":{"type":"object","description":"Hourly consumption of a filer","properties":{"consumption":{"allOf":[{"$ref":"#/components/schemas/complexType.UnitAndValue_double"}],"description":"Consumption of the Filer"},"lastUpdate":{"type":"string","description":"Last update","format":"date-time"}}},"dedicatedCloud.filer.Location":{"type":"object","description":"Location of the Filer","properties":{"datacenter":{"allOf":[{"$ref":"#/components/schemas/dedicated.DatacenterEnum"}],"description":"Datacenter of the Filer."},"rack":{"type":"string","description":"Rack of the slave Filer."},"room":{"type":"string","description":"Room of the Filer."}}},"dedicatedCloud.filer.NodeTypeEnum":{"type":"string","description":"All nodes types for a Filer","enum":["master","slave"]},"dedicatedCloud.filer.Profile":{"type":"object","description":"A Filer profile","properties":{"fullName":{"type":"string","description":"Human-Readable name"},"name":{"type":"string","description":"Commercial name"},"size":{"$ref":"#/components/schemas/complexType.UnitAndValue_long"}}},"dedicatedCloud.filer.StateEnum":{"type":"string","description":"All states a Dedicated Cloud Filer can be in","enum":["adding","delivered","error","removing","unknown"]},"dedicatedCloud.ressources.BillingTypeEnum":{"type":"string","description":"The billing type of this Dedicated Cloud ressource","enum":["freeSpare","hourly","monthly","undefined"]},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan":{"get":{"summary":"List vSAN datastores","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"clusterId","description":"Id of the cluster","required":true,"schema":{"type":"integer"}},{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/cluster/filerVsan/get","required":true}],"x-expanded-response":"DedicatedCloudVsanDatastore"}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan/{datastoreId}":{"get":{"summary":"Get a vSAN datastore","description":"Get a vSAN datastore. Returns the vSAN datastore: used, free and provisioned space, connection state and number of virtual machines.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"clusterId","description":"Id of the cluster","required":true,"schema":{"type":"integer"}},{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"datastoreId","description":"Id of the vsan datastore.","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.VsanDatastore"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan/{datastoreId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/cluster/{clusterId}/filerVsan/{datastoreId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/cluster/filerVsan/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer":{"get":{"summary":"List datastores","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/filer/get","required":true}],"x-expanded-response":"DedicatedCloudFiler"}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}":{"get":{"summary":"Get a datastore","description":"Get a datastore. Returns the datastore: profile, size, used, free and provisioned space, state and number of virtual machines.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Filer"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/filer/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/checkGlobalCompatible":{"get":{"summary":"Check if a datastore can become global","description":"Check if a datastore can become global. Returns true when the datastore can be converted to a global datastore, mounted on all datacenters.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"boolean"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/checkGlobalCompatible\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/checkGlobalCompatible\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/filer/checkGlobalCompatible/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/convertToGlobal":{"post":{"summary":"Convert a datastore to global","description":"Convert a datastore to global. Converts the datastore to a global datastore, mounted on all datacenters of the service. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/convertToGlobal\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/convertToGlobal\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/filer/convertToGlobal","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/hourlyConsumption":{"get":{"summary":"Get the datastore consumption","description":"Get the datastore consumption. Returns the hourly consumption of the datastore. Deprecated: use `/me/consumption/usage/current` instead.","deprecated":true,"x-deprecation-date":"2019-06-01T00:00:00+01:00","x-deletion-date":"2019-07-01T00:00:00+01:00","x-replacement-route":"/me/consumption/usage/current","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.filer.HourlyConsumption"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"red","label":"Deprecated, will be removed"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/hourlyConsumption\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/hourlyConsumption\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/filer/hourlyConsumption/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/location":{"get":{"summary":"Get the datastore location","description":"Get the datastore location. Returns the datacenter, room and rack of the datastore. Choose the master or slave node with `node`, master by default.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"query","name":"node","description":"Filer cluster node used to get location (default value: master)","schema":{"$ref":"#/components/schemas/dedicatedCloud.filer.NodeTypeEnum"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.filer.Location"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/location\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/location\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/filer/location/get","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/remove":{"post":{"summary":"Remove a datastore","description":"Remove a datastore. Removes the datastore and its data: move the virtual machines first. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/remove\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/filer/{filerId}/remove\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/filer/remove","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderNewFilerHourly":{"post":{"summary":"Order an hourly datastore","description":"Order an hourly datastore. Orders a datastore billed by the hour with the given profile. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Filer profile you want to order"}},"required":["name"]}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: string\nresult = client.post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderNewFilerHourly\",\n\tname = None, # Filer profile you want to order (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: string\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderNewFilerHourly\", array(\n\tname => null, // Filer profile you want to order (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/orderNewFilerHourly","required":true}]}},"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderableFilerProfiles":{"get":{"summary":"List orderable datastore profiles","description":"List orderable datastore profiles. Returns the datastore profiles that can be ordered in the datacenter, with their size.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"datacenterId","description":"Id of the Datacenter","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/dedicatedCloud.filer.Profile"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderableFilerProfiles\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/orderableFilerProfiles\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:datacenter/orderableFilerProfiles/get","required":true}]}},"/dedicatedCloud/{serviceName}/filer":{"get":{"summary":"List global datastores","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer"}}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/filer\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/filer\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:filer/get","required":true}],"x-expanded-response":"DedicatedCloudFiler"}},"/dedicatedCloud/{serviceName}/filer/{filerId}":{"get":{"summary":"Get a datastore","description":"Get a datastore. Returns the datastore: profile, size, used, free and provisioned space, state and number of virtual machines.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Filer"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/filer/{filerId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/filer/{filerId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:filer/get","required":true}]}},"/dedicatedCloud/{serviceName}/filer/{filerId}/checkGlobalCompatible":{"get":{"summary":"Check if a datastore can become global","description":"Check if a datastore can become global. Returns true when the datastore can be converted to a global datastore, mounted on all datacenters.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"boolean"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/filer/{filerId}/checkGlobalCompatible\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/filer/{filerId}/checkGlobalCompatible\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:filer/checkGlobalCompatible/get","required":true}]}},"/dedicatedCloud/{serviceName}/filer/{filerId}/convertToGlobal":{"post":{"summary":"Convert a datastore to global","description":"Convert a datastore to global. Converts the datastore to a global datastore, mounted on all datacenters of the service. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/filer/{filerId}/convertToGlobal\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/filer/{filerId}/convertToGlobal\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:filer/convertToGlobal","required":true}]}},"/dedicatedCloud/{serviceName}/filer/{filerId}/hourlyConsumption":{"get":{"summary":"Get the datastore consumption","description":"Get the datastore consumption. Returns the hourly consumption of the datastore. Deprecated: use `/me/consumption/usage/current` instead.","deprecated":true,"x-deprecation-date":"2019-06-01T00:00:00+01:00","x-deletion-date":"2019-07-01T00:00:00+01:00","x-replacement-route":"/me/consumption/usage/current","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.filer.HourlyConsumption"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"red","label":"Deprecated, will be removed"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/filer/{filerId}/hourlyConsumption\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/filer/{filerId}/hourlyConsumption\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:filer/hourlyConsumption/get","required":true}]}},"/dedicatedCloud/{serviceName}/filer/{filerId}/location":{"get":{"summary":"Get the datastore location","description":"Get the datastore location. Returns the datacenter, room and rack of the datastore. Choose the master or slave node with `node`, master by default.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"query","name":"node","description":"Filer cluster node used to get location (default value: master)","schema":{"$ref":"#/components/schemas/dedicatedCloud.filer.NodeTypeEnum"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.filer.Location"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@10"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/dedicatedCloud/{serviceName}/filer/{filerId}/location\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/dedicatedCloud/{serviceName}/filer/{filerId}/location\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:filer/location/get","required":true}]}},"/dedicatedCloud/{serviceName}/filer/{filerId}/remove":{"post":{"summary":"Remove a datastore","description":"Remove a datastore. Removes the datastore and its data: move the virtual machines first. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"filerId","description":"Filer Id","required":true,"schema":{"type":"integer"}},{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.post(\"/dedicatedCloud/{serviceName}/filer/{filerId}/remove\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/filer/{filerId}/remove\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:filer/remove","required":true}]}},"/dedicatedCloud/{serviceName}/orderNewFilerHourly":{"post":{"summary":"Order an hourly global datastore","description":"Order an hourly global datastore. Orders a datastore billed by the hour, mounted on all datacenters of the service. Returns a task to track progress.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"serviceName","description":"Domain of the service","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"Filer profile you want to order"}},"required":["name"]}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dedicatedCloud.Task"}}}}},"x-developer-hub-navigation":[["Private Cloud","Managed VMware","Managed VMware vSphere","Datacenter","Datastores@@@20"]],"x-badges":[{"color":"green","label":"Stable production version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: string\nresult = client.post(\"/dedicatedCloud/{serviceName}/orderNewFilerHourly\",\n\tname = None, # Filer profile you want to order (type: string)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: string\n$result = $ovh->post(\"/dedicatedCloud/{serviceName}/orderNewFilerHourly\", array(\n\tname => null, // Filer profile you want to order (type: string)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"pccVMware:apiovh:orderNewFilerHourly","required":true}]}}}}
